# EXTERNAL_POTENTIAL

Section can be repeated.

Section controlling the presence of an external potential dependent on the atomic positions (X,Y,Z) [Edit on GitHub]

## Keywords

- ATOMS_LIST

- DX

- ERROR_LIMIT

- FUNCTION

- PARAMETERS

- UNITS

- VALUES

## Keyword descriptions

ATOMS_LIST: integer[ ]

  Keyword can be repeated.

  Usage: ATOMS_LIST {INT} {INT} ..

  Specifies the atoms on which the external potential will act [Edit on GitHub]

DX: real = 1.00000000E-001 [bohr]

  Usage: DX <REAL>

  Parameter used for computing the derivative with the Ridders’ method. [Edit on GitHub]

ERROR_LIMIT: real = 1.00000000E-012

  Usage: ERROR_LIMIT <REAL>

  Checks that the error in computing the derivative is not larger than the value set; in case error is larger a warning message is printed. [Edit on GitHub]

FUNCTION: string

  Usage: FUNCTION X^2+Y^2+Z^2+LOG(ABS(X+Y))

  Specifies the functional form in mathematical notation. Variables must be the atomic coordinates (X,Y,Z). [Edit on GitHub]

PARAMETERS: string[ ]

  Keyword can be repeated.

  Usage: PARAMETERS a b D

  Defines the parameters of the functional form [Edit on GitHub]

UNITS: string[ ]

  Keyword can be repeated.

  Usage: UNITS angstrom eV*angstrom^-1 angstrom^1 K

  Optionally, allows to define valid CP2K unit strings for each parameter value. It is assumed that the corresponding parameter value is specified in this unit. [Edit on GitHub]

VALUES: real[ ] = [internal_cp2k]

  Keyword can be repeated.

  Usage: VALUES

  Defines the values of parameter of the functional form [Edit on GitHub]